package ru.yandex.autotests.direct.steps.utils;

import ru.yandex.autotests.irt.testutils.json.JsonUtils;

public class ParamsWrapper<T> {
    private T bean;

    public ParamsWrapper(T bean) {
        this.bean = bean;
    }

    public T getBean() {
        return bean;
    }

    @Override
    public String toString() {
        return JsonUtils.toString(bean, true);
    }

    public static <T> ParamsWrapper<T> wrap(T bean) {
        return new ParamsWrapper<>(bean);
    }
}
